Get shop reviews
curl --request GET \
--url https://store.salesive.com/api/v1/reviews \
--header 'Authorization: Bearer <token>' \
--header 'x-shop-id: <api-key>'import requests
url = "https://store.salesive.com/api/v1/reviews"
headers = {
"Authorization": "Bearer <token>",
"x-shop-id": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'x-shop-id': '<api-key>'}
};
fetch('https://store.salesive.com/api/v1/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Reviews
Get shop reviews
Retrieve all reviews for the shop.
GET
/
reviews
Get shop reviews
Request
GET /reviews?page=1&limit=10
x-shop-id: {{shopId}}
Headers
| Header | Type | Description |
|---|---|---|
x-shop-id | string | Identify the shop. |
Query parameters
| Parameter | Type | Description |
|---|---|---|
page | integer | Page number (default: 1). |
limit | integer | Reviews per page (default: 10). |
Successful response
{
"status": 200,
"success": true,
"message": "Shop reviews retrieved successfully",
"data": {
"reviews": [
{
"_id": "6a27d8d4289b87893fcbdeca",
"rating": 5,
"title": "Great Product",
"comment": "I loved this product, it was amazing!",
"shop": "68b8f52575da81b332af29f1",
"user": {
"_id": "69360693a7a8f7dc8ae32d6d",
"name": "Jane Smith",
"avatar": "https://cdn.salesive.com/avatars/jane.jpg"
},
"product": null,
"order": "6938414ad9485f4d96134f8c",
"images": [],
"createdAt": "2026-06-09T09:11:48.272Z",
"updatedAt": "2026-06-09T09:11:48.272Z",
"__v": 0
}
],
"total": 1,
"page": 1,
"totalPages": 1
}
}
Empty response
{
"status": 200,
"success": true,
"message": "Shop reviews retrieved successfully",
"data": {
"reviews": [],
"total": 0,
"page": 1,
"totalPages": 0
}
}
Authorizations
JWT issued by the Salesive Store API for authenticated shoppers.
Optional storefront identifier sent as a header to scope responses to a specific shop. Try It requests remember this value once provided.
Headers
Optional identifier that scopes responses to a specific storefront when the referer cannot be inferred.
Response
200
Reviews retrieved
Was this page helpful?
⌘I

